Bug 813237 - \s*\R does not match
\s*\R does not match
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcre (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://lists.exim.org/lurker/message...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 05:55 EDT by Petr Pisar
Modified: 2012-05-26 02:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: pcre-8.12-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 813277 (view as bug list)
Environment:
Last Closed: 2012-05-10 10:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-17 05:55:36 EDT
/\s*\R/
\x20\x0a
\x20\x0d
\x20\x0d\x0a

This should not match in all cases, but it does not.

This is regression since pcre-8.02. All Fedoras affected.
Comment 1 Petr Pisar 2012-04-20 08:32:33 EDT
These should be matched.

Fixed in upstream commit:

r961 | ph10 | 2012-04-20 13:49:13 +0200 (PĆ”, 20 dub 2012) | 2 lines
Fix auto-possessify bugs for \s*\R and \S*R.
Comment 2 Fedora Update System 2012-04-20 08:59:19 EDT
pcre-8.21-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcre-8.21-4.fc17
Comment 3 Fedora Update System 2012-04-20 09:04:39 EDT
pcre-8.12-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcre-8.12-8.fc16
Comment 4 Petr Pisar 2012-04-20 09:08:06 EDT
Fixed as pcre-8.30-4.fc18 in F18.
Comment 5 Fedora Update System 2012-04-20 09:16:32 EDT
pcre-8.12-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcre-8.12-7.fc15
Comment 6 Fedora Update System 2012-04-21 17:01:26 EDT
Package pcre-8.21-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcre-8.21-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6300/pcre-8.21-4.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-23 04:52:15 EDT
pcre-8.21-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcre-8.21-5.fc17
Comment 8 Fedora Update System 2012-04-23 05:15:06 EDT
pcre-8.12-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcre-8.12-9.fc16
Comment 9 Fedora Update System 2012-04-23 05:23:37 EDT
pcre-8.12-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcre-8.12-8.fc15
Comment 10 Fedora Update System 2012-05-10 10:17:06 EDT
pcre-8.12-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-10 10:19:34 EDT
pcre-8.12-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-26 02:49:12 EDT
pcre-8.21-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.